Bug 138325 - Some OTF font names are exported in PDF as "DummyName"
Summary: Some OTF font names are exported in PDF as "DummyName"
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: خالد حسني
URL:
Whiteboard: target:7.5.0 inReleaseNotes:7.5
Keywords:
Depends on:
Blocks: Fonts-Bundled
  Show dependency treegraph
 
Reported: 2020-11-19 09:44 UTC by Yves Roggeman
Modified: 2022-12-08 14:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
The typeface "Minion 3" is embedded as "DummyName" in a PDF produced by LibreOffice. (15.96 KB, application/pdf)
2022-07-10 11:18 UTC, thunderbird_1990
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yves Roggeman 2020-11-19 09:44:17 UTC
This bug may concern other environments.
Some OTF font names are not exported to PDF, but when the same font is converted into a TTF format, the name is correctly exported.
This bug is detected, for example, with Adobe fonts “Source Code Pro”, a.s.o.
This problem does not occur systematically with all other document production software, so it seems to be actually LO-related.
After reporting it to Adobe font designers, it seems that LO PDF module uses Mac specific name table entries in OTF file that are no more standard and that even MacOS no more uses.
And most modern font files no more include this entries.
LO should be able to use the Standard OTF/TTF format in order to export to PDF correctly.
Comment 1 Timur 2020-11-20 09:36:52 UTC
You cannot confirm / set New yourself. You can and should search for similar bugs and put them in See Also.
Comment 2 Buovjaga 2021-08-31 15:08:00 UTC
Do you know some OTF font that is freely available and exhibits this behaviour?
Comment 3 Yves Roggeman 2021-08-31 16:26:50 UTC
As said in my first message, I detected this behaviour with "Source Code Pro" fonts, for example, that are freely available at <https://github.com/adobe-fonts/source-code-pro> and also through <https://fonts.google.com/>
Comment 4 Buovjaga 2021-08-31 17:30:06 UTC
Ok, sorry, I forgot. I reproduce, opening the PDF with a text editor I see stuff like

<</Type/FontDescriptor/FontName/BAAAAA+DummyName

Arch Linux 64-bit
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: a58b9010b38ca43d4b3a2b30fcd6bec28db1b344
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 31 August 2021
Comment 5 thunderbird_1990 2022-07-10 11:18:35 UTC
Created attachment 181203 [details]
The typeface "Minion 3" is embedded as "DummyName" in a PDF produced by LibreOffice.
Comment 6 thunderbird_1990 2022-07-10 11:20:10 UTC
I have attached a PDF file produced by Writer. The typeface Minion 3 is embedded as "DummyName" in the file, but not other fonts such as Minion Pro, Helvetica Neue, or Neue Haas Unica. This is consistent with https://github.com/adobe-fonts/source-code-pro/issues/252
Comment 7 خالد حسني 2022-09-20 04:03:35 UTC
Similar to bug 151039, we are trying to access font names from “CFF” table, but these fonts lack such names (they are available from the “name” table).
Comment 8 Commit Notification 2022-09-20 10:01:32 UTC
Khaled Hosny committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/348452715de6af8be2d40407bbe191752452b883

vcl: tdf#138325 pass PostScript name down to CreateCFFfontSubset()

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Yves Roggeman 2022-09-21 08:26:12 UTC
Tested with the new daily build.
It is OK now.
Thank you for the correction.